Package com.sas.services.information.metadata

# Class MessageQueueFilter

java.lang.Object
com.sas.services.information.Filter
com.sas.services.information.metadata.MessageQueueFilter

All Implemented Interfaces:
  `FilterInterface`, `Serializable`

public class MessageQueueFilter extends Filter
Filter that may be used to query message queues.

Message queues may be queried for the following cases or any combination thereof:

- message queue `ID`
- message queue `name`
- queue manager's `ID`
- queue manager's `type`

Since:
  9.2
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.Filter

  `_component`

  ### Fields inherited from interface com.sas.services.information.FilterInterface

  `BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageQueueFilter()`
  Constructs a default instance.
  `MessageQueueFilter(String repositoryId)`
  Constructs a default instance.
  `MessageQueueFilter(String key, int relation, String value)`
  Constructs a filter for the specified key, relation, and value.
  `MessageQueueFilter(String repositoryId, String[] classIdentifiers)`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDAVBasicSearchString()`
  Get the filter in the form of a DAV basicsearch XML request.
  `String`
  `getDAVSQLString()`
  Get the filter in the form of a DAV SQL request.
  `String`
  `getOMRType()`
  Gets the type representation for a message queue in an open metadata repository.
  `final String`
  `getQueueID()`
  Gets the ID of the message queue which is to be queried.
  `final String[]`
  `getQueueManagerClassIdentifiers()`
  Gets a copy of the array of class identifiers which will be used to conduct a search.
  `final String`
  `getQueueManagerID()`
  Gets a ID of the message queue which is to be queried.
  `final String`
  `getQueueName()`
  Gets the name of the message queue which is to be queried.
  `String`
  `getXMLSelectString()`
  Gets the XML select used to query a message queue from a SAS Metadata Repository.
  `final void`
  `setQueueID(String queueID)`
  Specifies the ID of the `Transformation` which represents the message queue.
  `final void`
  `setQueueManagerClassIdentifiers(String[] classIdentifiers)`
  Specifies the ServerComponent[@ClassIdentifier] values which should be queried.
  `final void`
  `setQueueManagerID(String queueManagerID)`
  Sets the ID of the server component which manages the message queue.
  `final void`
  `setQueueName(String queueName)`
  Specifies the name of the `Transformation` which represents the message queue.

  ### Methods inherited from class com.sas.services.information.Filter

  `addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageQueueFilter

    public MessageQueueFilter()
    Constructs a default instance.

  - ### MessageQueueFilter

    public MessageQueueFilter(String repositoryId)
    Constructs a default instance.
    Parameters:
      `repositoryId` - Metadata repository's ID.

  - ### MessageQueueFilter

    public MessageQueueFilter(String repositoryId, String[] classIdentifiers)
    Constructs a default instance.
    Parameters:
      `repositoryId` - Metadata repository's ID.
      `classIdentifiers` - The ClassIdentifiers which the queue manager server must satisfy. Specify `null` if the class identifier is a don't care.

  - ### MessageQueueFilter

    public MessageQueueFilter(String key, int relation, String value)
    Constructs a filter for the specified key, relation, and value.
    Parameters:
      `key` - Key
      `relation` - Relation
      `value` - Value

- ## Method Details

  - ### getQueueID

    public final String getQueueID()
    Gets the ID of the message queue which is to be queried.
    Returns:
      ID of the message queue which is to be queried. A `null` indicates that a message queue is not being queried by its ID.

  - ### setQueueID

    public final void setQueueID(String queueID)
    Specifies the ID of the `Transformation` which represents the message queue.
    Parameters:
      `queueID` - ID of the `Transformation` which represents the message queue.

  - ### getQueueName

    public final String getQueueName()
    Gets the name of the message queue which is to be queried.
    Returns:
      Name of the message queue which is to be queried. A `null` indicates that a message queue is not being queried by its name.

  - ### setQueueName

    public final void setQueueName(String queueName)
    Specifies the name of the `Transformation` which represents the message queue.
    Parameters:
      `queueName` - Name of the `Transformation` which represents the message queue.

  - ### getQueueManagerID

    public final String getQueueManagerID()
    Gets a ID of the message queue which is to be queried.
    Returns:
      ID of the message queue which is to be queried. A `null` indicates that a message queue is not being queried by its ID.

  - ### setQueueManagerID

    public final void setQueueManagerID(String queueManagerID)
    Sets the ID of the server component which manages the message queue.
    Parameters:
      `queueManagerID` - ID of the server component which manages the message queue.

  - ### getQueueManagerClassIdentifiers

    public final String[] getQueueManagerClassIdentifiers()
    Gets a copy of the array of class identifiers which will be used to conduct a search.
    Returns:
      Class identifiers or an empty array if all types of message queues are to be queried.
    See Also:
      - `setQueueManagerClassIdentifiers(String[])`

  - ### setQueueManagerClassIdentifiers

    public final void setQueueManagerClassIdentifiers(String[] classIdentifiers)
    Specifies the ServerComponent[@ClassIdentifier] values which should be queried.
    Parameters:
      `classIdentifiers` - ServerComponent[@ClassIdentifier] values which should be queried. If no class identifers are specified, then all types of message queues will be queried. Valid class identifiers for message queues are:
      - `MetadataUtil.CLASSID_MESSAGEQUEUE_WEBSPHERE`
      - `MetadataUtil.CLASSID_MESSAGEQUEUE_MS`

  - ### getOMRType

    public String getOMRType()
    Gets the type representation for a message queue in an open metadata repository.
    Specified by:
      `getOMRType` in interface `FilterInterface`
    Overrides:
      `getOMRType` in class `Filter`
    Returns:
      "Transformation".

  - ### getXMLSelectString

    public String getXMLSelectString()
    Gets the XML select used to query a message queue from a SAS Metadata Repository.
    Specified by:
      `getXMLSelectString` in interface `FilterInterface`
    Overrides:
      `getXMLSelectString` in class `Filter`
    Returns:
      XML select.

  - ### getDAVBasicSearchString

    public String getDAVBasicSearchString()
    Get the filter in the form of a DAV basicsearch XML request. This is described in the WebDAV SEARCH proposal.

    Specified by:
      `getDAVBasicSearchString` in interface `FilterInterface`
    Overrides:
      `getDAVBasicSearchString` in class `Filter`
    Returns:
      An XML basicsearch request to pass to a DAV server.

  - ### getDAVSQLString

    public String getDAVSQLString()
    Get the filter in the form of a DAV SQL request. This is aimed at the Microsoft servers - Internet Information Server, SharePoint Portal Server and Exchange server.

    Specified by:
      `getDAVSQLString` in interface `FilterInterface`
    Overrides:
      `getDAVSQLString` in class `Filter`
    Returns:
      An XML DAV SQL request to pass to a DAV server.